
From: Philipp Matthias Hahn <pmhahn@titan.lahn.de>

While installing Debian on our new IBM X41 Tablet, I tried briefly to use
the built-in Atmel TPM.  The Athmel TPM is also located on the LPC-bus of
the ICH6.  To make it work I had to apply the following patch:

Signed-off-by: Philipp Matthias Hahn <pmhahn@titan.lahn.de>
Acked-by: Kylene Jo Hall <kjhall@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/tpm/tpm_atmel.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/char/tpm/tpm_atmel.c~tpm-fix-tpm_atmelc-on-ich6 drivers/char/tpm/tpm_atmel.c
--- devel/drivers/char/tpm/tpm_atmel.c~tpm-fix-tpm_atmelc-on-ich6	2005-08-30 18:07:47.000000000 -0700
+++ devel-akpm/drivers/char/tpm/tpm_atmel.c	2005-08-30 18:07:47.000000000 -0700
@@ -206,6 +206,9 @@ static struct pci_device_id tpm_pci_tbl[
 	{PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801DB_0)},
 	{PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801DB_12)},
 	{PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801EB_0)},
+	{PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ICH6_0)},
+	{PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ICH6_1)},
+	{PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ICH7_0)},
 	{PCI_DEVICE(PCI_VENDOR_ID_AMD, PCI_DEVICE_ID_AMD_8111_LPC)},
 	{PCI_DEVICE(PCI_VENDOR_ID_SERVERWORKS, PCI_DEVICE_ID_SERVERWORKS_CSB6LPC)},
 	{0,}
_
